/*
 *	This source file contains usecode for the Worlds of Ultima: unnamed game in progress by M-Johnston.
 *	Specifically, this is the code for all the books for above mentioned game.
 *
 *	Author: M-Johnston, coding and format addapted from Marzo's book codes
 *	Last Modified: 01-7-2007
 */


BG_Book_1 shape#(1113) ()
{

	get_item_quality();
	book_mode();
	UI_play_sound_effect2(0x005E, item);

	var quality = get_item_quality();
	if (quality == 0)
          {      say("-Game Notes-");
		say("The following books in this series called Game Notes are temporary books that detail various areas and bits of plot. They are an in-game accessable and hopefully more polished version of my written notes on the game, and are for my own use while working on the game, and should be valuable referance for anyone else who becomes interested in helping.");
                
          	}
        else if (quality == 1)
           {     say("Game Notes: volume 1");
		say("I hope to eventually involve four maps (though some of those may be able to be tucked into other maps, so less could be possible)- these are the main map, a map for deeper underground areas, a map for an 'underworld/hell' sort of realm, and that place's polar opposite which is sort of a spirit world or limbo. This shall begin with a basic lay of the land for the main map, which should break down into smaller geographic sections that will be detailed in other volumes.");
		say("	The main map can be broken down into a few major areas. There is the Empire of Castine in the southern-central part of the main landmass, the great western forrest, the desert kingdom of Turlobad is past the mountains to the north of Castine and the great forrest, the city state of Nordstadt is the continent in the north-east area of the map, there are a few smaller areas named mainly for what lives there, such as Naga Ise, and an island of savage cat people. The mountains between Castine and the desert/turlobad should also be detailed as their own area, broken down into Mountainfolk/dwarves, ratfolk, dragons, and wildmen.
	A slight breakdown of those areas: Empire of Castin - Just east of the Imperial City of Castine is the town of Stonington. North-west of Castine on the edge of the great forrest is a logging outpost called Sunbury. Most of the Empire of Castine consists of plains with a smattering of old ruined greek-esque temples, lightly forrested areas, and some mountains. These shall be detailed in a book on the Empire of Castine.
	Nordstadt: This is the name of the large continental landmass to the north east of the lands which are roughly under control of Castine. Nordstadt is a militaristic city state which has been at war with goblins for hundreds of years. In the last few decades the goblins upscaled their attacks and have overrun pretty much all of Nordstadt other than the capital city of Nordgarde, which is currently under siege. Nordstadt shall be further detailed in a book on Nordstadt.
	Desert Kingdom of Turlobad: as of yet this area is only roughly mapped on paper. The main city of Turlobad is on the northern shore of the desert and is largely in ruin and infested with many nasty undead things. My original story for this area is that the city was long ago abandoned until some pioneers from Castine settled there and began trading and mining with the mountain folk/dwarves. Dangerous mountainous areas between the northern reaches of the Great forest and the southern regions of desert made it difficult to travel to Turlobad by land so Castine started an opperation to build a road through the mountain. One group started tunneling from the Castine side, and the Turlobad group started to tunnel in from their side and they would meet in the middle. The mountainfolk however would have no part of the opperation and warned strongly against tunneling too deeply into the mountains. The humans ignored them and the mountainfolk locked themselves in their mountain stronghold. The Turlobad group tunneled directly into a volcanic area, the birthplace of the demi-god Monstros, which was sort of a conduit from the underworld through which undead were able to pass between worlds. This conduit had long ago been plugged up by much effort and powerful magics, but now it was open and Turlobad became flooded with undead.
	The Great Western Forest: This area covers most of the large lobe of land that sticks out to the north-east of Castine. as the name implies, it is a large forest, with some very large trees - as well as the only known grove of silverleaf trees. The Druids who protect the forrest claim it to be sacred ground as the silverleaf tree is said to be the purest manifestation of nature, where Zog originaly planted a seed from himself in the ground and it grew into a silverleaf tree, from which all the other plants and animals came.
	Mountains between castine and north: The central continental area is pretty much split in half horizontaly by mountains. mountainous mountains. The main areas of the mountains are dragon's in the west, north of the great forest; ratfolk in a watery area in the south-central area of mountains; the Old Mountain Road, which is abandoned and unfinished right through the center of the mountains, southern entrance is often a refuge for brigands and adventurers, and in the north a road into the mountain that may lead into a volcanic area before ending in a passage to the undead pits of the underworld; and a fjord where a group of somewhat civilized wildmen live in some old ruins, at the end of the fjord is a stream that runs into the head of the rivers that run through the lower caverns. There are also the mountainfolk/dwarves that have their mountian holds in the north eastern part of the mountains.
	Naga Isle: Naga isle is an island in in a great inlet on the western side of the Bay of Hydra. Naga are exactly the kind of thing you mother used to say would get you if you did something wrong. They mainly  stick to their island, but can sometimes also be found in the grasslands of Castine where there are several ruined temples
	Savage Cat People: there is an island in the south western sea where a bunch of neolithic cat people who live in some mountainous tropical forests.");

	}
	else if (quality == 2)
		say("This is the text for quality 2");

        else if (quality == 3)
               { say("Game Notes: A Mythology of Creation - This details a basic creation myth that is a foundation for plot.");
		say("In the beginning was an omnipotent entity called Zog who drifted aimlessly through the Void. As a place to congiel it's thoughts Zog creates a material plane, where Zog's thoughts manifest as various sorts of elemental dusts and energies. Eventually these dusts and energies begin to clump together into what would eventually become the main map of this game, and it's submap of caverns and such. As a way to better measure and keep track of these thoughts that have clumped together Zog creates an entity known as the time lord from a shard of his being. The Time Lord's material presence in the world becomes a rythmic cycle of light and dark periods over the world. Seeing this shard of himself manifest light and dark on it's own accord Zog becomes curious and decides to place another shard of his being firmly planted directly in the earthy mass of his material plain. This shard takes root in the earth and becomes a nature spirit, from which all plants grow - starting with silver leaf trees. Then from the earth come some basic happy animals such as bunnies and deer all of which have no desire to eat other basic happy animals. And this was all very pleasing to Zog");
		say("Zog listened for many many cycles to the noises and rythms of his creations and comes to realize an idea of what we might call music. In an inspired rush he spends the next two cycles creating a pair of musical beings who's harmonies and elemental temperments should keep one another in balance. During the cycle of light zog takes the elemental energies of air and water and plants them in the fertile earth, and creates the angelic being known as Humanita, then at night Zog sets a fire into the earth and creates a grotesque being called Monstros. These beings are polar opposites of one another and were created as such to keep one another in balance as they sepperately wander the world making their music. And for many cycles Zog is pleased with the music they make and they way it mingles with nature. Zog eventually is lulled to sleep by the music, and many more cycles pass by.");
		say("As Zog slumbers in the Void the shards of himself (which became nature and time) connected to the material plane continue as ussual, and Humanita and Monstros continue to wander and make their music in solitude from one another - for Humanita takes offense to the discordent notes created by Monstros but the elemental temperments of air and water imbue Humanita with virtues of humanity so she just keeps her distance from Monstros and sings a little louder to drown out his harsh music, and Mostros is no fan at all of Humanita's nice happy sounding music - but Monstros, as the somewhat cheesy name implies, is full of monstrous temperments from being formed of fire in the earth. The one monstrous temperment that keeps him truly in balance with Humanita is cowardice, her music actually scares him off. But one night as Zog is slumbering in the void, Monstros happens upon Humanita who is asleep in the grasslands. Tempted by the angelic beauty, Monstros violates Humanita in whatever way that somewhat humanoid and generaly sexless elemental beings might be able to violate one another. Just as that happens there is some kind of explosion of the two which knocks them both unconsious and results in the creation of a total of four new creatures - a male and female human from Humanita, and a male and female monsterous pair of humanoids.");
		say("The explosive momentary union of Humanita and Monstros rouses Zog from deep slumber, but being in such restful slumber makes Zog slow to wake up. Humanita wakes up first and finds her two humans sharing food and leads them far away to the west before Monstros wakes up. Mostros wakes up and takes his offspring back to his usual stomping grounds in the north-east. Zog finally comes fully to his senses, realizes the error of his creation of Monstros and Humanita, and creates for each of them their own plane of existance where they are each moved to so they can continue their music but not have another chance of upsetting the balance of things by meeting again. As something which came about in a somewhat natural way, Zog lets the human and monsters remain in their plane, and once again is lulled back to sleep by the music of Humanita and Monstros. Many many many cycles pass by and things happen. Humanita and Monstros still have some influence - like gods to the humans and monsters, and there is some intermingling of these influences with nature as well... some animals are influenced by humanity and become domesticated, others by the influence of Monstros and these become the wild and agressive beasts such as bear, wolves, aligators, dragons, etc... though those under influence of monstros are mostly under influence of nature, just as domesticated animals are still animalistic. Thats pretty much it for now as far as creation myth... a book on early history of humans and monsters shall follow.");
		}
	else
		say("This is the text for everything else. It is just a placeholder for what hasn't been written yet just add more 'else if' lines above and everything else will get here");
}

